//
//  NSCursor+Dark.swift
//
//  CotEditor
//  https://coteditor.com
//
//  Created by 1024jp on 2018-09-26.
//
//  ---------------------------------------------------------------------------
//
//  © 2018-2019 1024jp
//
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//  https://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.
//

import AppKit.NSCursor

extension NSCursor {
    
    /// i-beam for dark background
    static var lightIBeam = NSCursor(image: #imageLiteral(resourceName: "LightIBeam"), hotSpot: NSCursor.iBeam.hotSpot)
    
    /// i-beam for vertical text orientation and dark background
    static var lightIBeamCursorForVerticalLayout = NSCursor(image: #imageLiteral(resourceName: "LightIBeamCursorForVerticalLayout"), hotSpot: NSCursor.iBeamCursorForVerticalLayout.hotSpot)
}
